=head1 NAME

Gtk2::Buildable

=head1 HIERARCHY

  Glib::Interface
  +----Gtk2::Buildable


=head1 METHODS

=head2 $buildable-E<gt>B<add_child> ($builder, $child, $type)

=over

=over

=item * $builder (Gtk2::Builder) 

=item * $child (Glib::Object) 

=item * $type (string or undef) 

=back

=back

=head2 $buildable->B<set_buildable_property> ($builder, key => $value, ...)

=over

=over

=item * $builder (Gtk2::Builder) 

=back



=back

=head2 object = $buildable-E<gt>B<construct_child> ($builder, $name)

=over

=over

=item * $builder (Gtk2::Builder) 

=item * $name (string) 

=back

=back

=head2 object = $buildable-E<gt>B<get_internal_child> ($builder, $childname)

=over

=over

=item * $builder (Gtk2::Builder) 

=item * $childname (string) 

=back

=back

=head2 string = $buildable-E<gt>B<get_name> 

=over

=back

=head2 $buildable-E<gt>B<set_name> ($name)

=over

=over

=item * $name (string) 

=back

=back

=head2 $buildable-E<gt>B<parser_finished> ($builder)

=over

=over

=item * $builder (Gtk2::Builder) 

=back

=back


=head1 SEE ALSO

L<Gtk2>, L<Glib::Interface>

=head1 COPYRIGHT

Copyright (C) 2003-2007 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

